Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81663 - RFE: Upgrade gPhoto2 & libgphoto2 version 2.1.0 to 2.1.1
Summary: RFE: Upgrade gPhoto2 & libgphoto2 version 2.1.0 to 2.1.1
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: gphoto2
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-12 14:06 UTC by Peter van Egdom
Modified: 2008-05-01 15:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-12 14:52:22 UTC


Attachments (Terms of Use)

Description Peter van Egdom 2003-01-12 14:06:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:

According to the homepage of libgphoto2 (http://gphoto.sourceforge.net/news/)
there's a new stable version available.

According to the changelog of libgphoto2 the following has been improved :

        - new support for quite a lot of new cameras
        - improved/fixed support for a lot "old" cameras
        - libgphoto2 and the gphoto2 command line utility are now
          separated
        - also moved documentation to a separate module



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Check out "http://gphoto.sourceforge.net/news/"
2. Check out Phoebe 8.0.92 / Rawhide
3.
    

Actual Results:  
 There's a newer stable version of gphoto2 available than the version in Phoebe
8.0.92 / Rawhide

Expected Results: 
 Before package freeze Phoebe should contain latest stable packages.

Additional info:

Red Hat Linux release 8.0.92 (Phoebe)

gphoto2-devel-2.1.0-5
gphoto2-2.1.0-5

Comment 1 Tim Waugh 2003-01-12 14:52:22 UTC
Version freeze happens before public beta.  Too late this time.

Comment 2 Adam Monsen 2003-01-31 08:18:06 UTC
Any chance this could be resolved "LATER" or left open and with a different
version? It still would be nice to have an RPM for gphoto2 2.1.1...

I tried to make one myself, starting with the 2.1.0-5 spec, but I get this on build:

<snippet>
checking for libgphoto2 >= 2.1.1... Package libgphoto2 was not found in the
pkg-config search path.
Perhaps you should add the directory containing `libgphoto2.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libgphoto2' found

configure: error: Library requirements (libgphoto2 >= 2.1.1) not met; consider
adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a
nonstandard prefix so pkg-config can find them.
</snippet>

Any hints? Is there another place you would boot me to so I can ask about this?
I apologize if this is the wrong forum or if my comment is inappropriate.

Comment 3 Gerald Teschl 2003-02-19 12:32:43 UTC
I made some rpms and submitted them to the incoming.redhat.com.
They should show up in the contrib section soon. Look for

gphoto2-2.1.1-1.i386.rpm
libexif-0.5.9-1.i386.rpm
libexif-devel-0.5.9-1.i386.rpm
libgphoto2-2.1.1-1.i386.rpm
libgphoto2-devel-2.1.1-1.i386.rpm


Note You need to log in before you can comment on or make changes to this bug.